Subject: Re: Time-setting
From: "Ehud Karni" <[email-masked]>
To: "David Starks-Browning" <[email-masked]>
Cc: [email-masked]
Date: Sat, 29 Sep 2001 19:52:24 +0200

On Sat, 29 Sep 2001 12:10:05 +0100, David Starks-Browning <[email-masked]> wrote:
>
> I don't, on neither Win98 nor NT.  You don't say what system you're
> using.  I am on BST now, which is +0100.
>
> I'd like to understand why date needs TZ for you and not me, before
> trying to explain it in the FAQ.

I don't know about NT (and W2K) but on W98 and W95 you sure need to set
the TZ or have a zic compiled file in /usr/local/etc/zoneinfo/localtime.

I think you don't need it because for you local-time = GMT (ignore the
daylight saving time). To check out the need for the TZ env variable do
the following (both on NT and W98):
    In Windowze go to: Control-Panel > Date/Time > Time Zone  
    Change it to "(GMT -05:00) Eastern Time (US & Canada)"
    In Cygwin (bash) do:
        1. echo $TZ
        2. date
        3. touch FTCK ; ls -al FTCK

I think this will demonstrate the problem (may be only on W98).

Ehud.
       
--
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/